$screenHeightLimit: 960px;

$screenWidthLimit0: 400px;
$screenWidthLimit: 600px;
$screenWidthLimit2: 900px;
$screenWidthLimit3: 1200px;
$screenWidthLimit4: 1800px;

@mixin mediaHighScreen {
  @media (min-height: 960px) {
    @content;
  }
}

@mixin mediaMiniScreen {
  @media (max-width: 400px) {
    @content;
  }
}

@mixin mediaTinyScreen {
  @media (min-width: 400px) and (max-width: 600px) {
    @content;
  }
}

@mixin mediaMaxTiny() {
  @media (max-width: 600px) {
    @content;
  }
}

@mixin mediaMaxSmall() {
  @media (max-width: 900px) {
    @content;
  }
}

@mixin mediaMinSmall() {
  @media (min-width: 600px) {
    @content;
  }
}

@mixin mediaMinNormal() {
  @media (min-width: 900px) {
    @content;
  }
}

@mixin mediaSmallScreen {
  @media (min-width: 600px) and (max-width: 900px) {
    @content;
  }
}

@mixin mediaNormalScreen {
  @media (min-width: 900px) and (max-width: 1200px) {
    @content;
  }
}

@mixin mediaTwoColumnScreen {
  @media (min-width: 1065px) {
    @content;
  }
}

@mixin mediaLargeScreen {
  @media (min-width: 1200px) and (max-width: 1800px) {
    @content;
  }
}

@mixin mediaHugeScreen {
  @media (min-width: 1800px) {
    @content;
  }
}

@mixin lato() {
  font-family: "Lato", sans-serif;
  font-weight: normal;
}

@mixin latoBold() {
  font-family: "Lato", sans-serif;
  font-weight: bold;
}

@mixin courier() {
  font-family: "Courier Prime", "Andale Mono", monospace;
  font-weight: normal;
}

@mixin lemonada() {
  font-family: "Lemonada", "Comic Sans", sans-serif;
  font-weight: normal;
}

@mixin lemonadaLight() {
  font-family: "Lemonada", "Comic Sans", sans-serif;
  font-weight: lighter;
}


@mixin main-color() {
  color: #191916;
  background-color: #FFF266;
}

@mixin primary-color() {
  color: #E6F1F2;
  background-color: #0F474C;
}

@mixin main-color-dusk() {
  color: #F2F1E6;
  background-color: #4C481E;
}

@mixin secondary-1() {
  color: #151818;
  background-color: #BBF9FF;
}

@mixin secondary-found() {
  color: #161916;
  background-color: #B1ED83;
}

@mixin secondary-3() {
  color: #19181C;
  background-color: #E6DDFF;
}

@mixin secondary-forbidden {
  color: #191618;
  background-color: #EF84A3;
}

@mixin secondary-5 {
  color: #282723;
  background-color: #FCFFBA;
}

@mixin secondary-6 {
  color: #282523;
  background-color: #FFEBD9;
}